
ThreatFactor NSIA - Feature #64

Detect Incorrect Content-Type

04/08/2010 11:45 PM - Luke Murphey

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Scan Engine Estimated time: 0.00 hour

Target version:    

Description

NSIA could detect problems where an HTML tag refers to a resource that is not the expected type. For example, an <img> tag that

refers to a src address that returns HTML instead of an image. This can happen when the image no longer exists and a 404 is

returned.

History

#1 - 11/02/2010 01:17 PM - Luke Murphey

- Category set to Scan Engine

#2 - 01/07/2011 07:17 AM - Luke Murphey

- Start date deleted (04/08/2010)

This could be done from a ThreatScript definition if the definition was provided with the tag were the information was extracted from.
